# Get account GET https://alsona.com/rest/accounts/{account_id} Retrieve account details. Reference: https://api.alsona.com/api-reference/account/get-account ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /rest/accounts/{account_id}: get: operationId: get-account summary: Get account description: Retrieve account details. tags: - subpackage_account parameters: - name: account_id in: path required: true schema: type: string - name: specific_attributes in: query description: >- Comma-separated list of attributes to return. Any combination of: `account_id`, `agency_id`, `name`, `active_until`, `seats_free`, `seats_paid`, `seats_used`, `status`, `created_at`, `created_by`. required: false schema: type: string - name: X-API-KEY in: header required: true schema: type: string responses: '200': description: Successful response content: application/json: schema: $ref: '#/components/schemas/Account_Get account_Response_200' servers: - url: https://alsona.com components: schemas: RestAccountsAccountIdGetResponsesContentApplicationJsonSchemaAccount: type: object properties: account_id: type: string agency_id: type: string name: type: string active_until: type: string seats_free: type: integer seats_paid: type: integer seats_used: type: integer status: type: string created_at: type: integer created_by: type: string required: - account_id - agency_id - name - active_until - seats_free - seats_paid - seats_used - status - created_at - created_by title: RestAccountsAccountIdGetResponsesContentApplicationJsonSchemaAccount Account_Get account_Response_200: type: object properties: success: type: boolean account: $ref: >- #/components/schemas/RestAccountsAccountIdGetResponsesContentApplicationJsonSchemaAccount required: - success - account title: Account_Get account_Response_200 securitySchemes: apiKeyAuth: type: apiKey in: header name: X-API-KEY ``` ## SDK Code Examples ```python Response import requests url = "https://alsona.com/rest/accounts/account_id" headers = {"X-API-KEY": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Response const url = 'https://alsona.com/rest/accounts/account_id'; const options = {method: 'GET', headers: {'X-API-KEY': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Response package main import ( "fmt" "net/http" "io" ) func main() { url := "https://alsona.com/rest/accounts/account_id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-API-KEY", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Response require 'uri' require 'net/http' url = URI("https://alsona.com/rest/accounts/account_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-API-KEY"] = '' response = http.request(request) puts response.read_body ``` ```java Response import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://alsona.com/rest/accounts/account_id") .header("X-API-KEY", "") .asString(); ``` ```php Response request('GET', 'https://alsona.com/rest/accounts/account_id', [ 'headers' => [ 'X-API-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp Response using RestSharp; var client = new RestClient("https://alsona.com/rest/accounts/account_id"); var request = new RestRequest(Method.GET); request.AddHeader("X-API-KEY", ""); IRestResponse response = client.Execute(request); ``` ```swift Response import Foundation let headers = ["X-API-KEY": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://alsona.com/rest/accounts/account_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```